PETSc version 3.15.5
Fix/Edit manual page

# DMStagVecGetArrayRead

get read-only access to a local array

### Synopsis

    PetscErrorCode DMStagVecGetArrayRead(DM dm,Vec vec,void *array)

Logically Collective

See the man page for DMStagVecGetArray() for more information.

### Input Parameters

| dm | - the DMStag object
| vec | - the Vec object

### Output Parameters

| array | - the read-only array

### Notes

DMStagVecRestoreArrayRead() must be called, once finished with the array

### See Also

DMSTAG, DMStagVecGetArrayRead(), DMStagGetLocationSlot(), DMGetLocalVector(), DMCreateLocalVector(), DMGetGlobalVector(), DMCreateGlobalVector(), DMDAVecGetArrayRead(), DMDAVecGetArrayDOFRead()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c

### Examples

src/dm/impls/stag/tutorials/ex1.c.html
src/dm/impls/stag/tutorials/ex3.c.html
src/dm/impls/stag/tutorials/ex6.c.html
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages